org.keycloak.models.cache.infinispan.entities

## Class CachedGroup

- java.lang.Object
- - org.keycloak.models.cache.infinispan.entities.AbstractRevisioned
  - - org.keycloak.models.cache.infinispan.entities.CachedGroup

- All Implemented Interfaces:
    Serializable, CachedObject, InRealm, Revisioned

      public class CachedGroup
      extends AbstractRevisioned
      implements InRealm

  Version:
    $Revision: 1 $
  Author:
    Bill Burke
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CachedGroup(Long revision, RealmModel realm, GroupModel group)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MultivaluedHashMap<String,String>` | `getAttributes(Supplier<GroupModel> group)`
    `String` | `getName()`
    `String` | `getParentId()`
    `String` | `getRealm()`
    `Set<String>` | `getRoleMappings(Supplier<GroupModel> group)`
    `Set<String>` | `getSubGroups(Supplier<GroupModel> group)`

    - ### Methods inherited from class org.keycloak.models.cache.infinispan.entities.AbstractRevisioned

      `getCacheTimestamp, getId, getRevision, setRevision`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.models.cache.infinispan.entities.Revisioned

      `getId, getRevision, setRevision`

- - ### Constructor Detail

    - #### CachedGroup

          public CachedGroup(Long revision,
                             RealmModel realm,
                             GroupModel group)

  - ### Method Detail

    - #### getRealm

          public String getRealm()

      Specified by:
        `getRealm` in interface `InRealm`

    - #### getAttributes

          public MultivaluedHashMap<String,String> getAttributes(Supplier<GroupModel> group)

    - #### getRoleMappings

          public Set<String> getRoleMappings(Supplier<GroupModel> group)

    - #### getName

          public String getName()

    - #### getParentId

          public String getParentId()

    - #### getSubGroups

          public Set<String> getSubGroups(Supplier<GroupModel> group)

Copyright © 2021 JBoss by Red Hat. All rights reserved.